Foreman - Feature #13417

Wrap Facet registration in plugin API
01/27/2016 02:36 PM - Eric Helms

Status: Closed
Priority: Normal
Assignee: Eric Helms
Category: Plugin integration
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1326034 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3134
Description

The current Facet registration for plugins occurs independently of registering and using the plugin interface. To me, this breaks from
the idea of centralizing additions plugins need in the plugin API. Current registration:

Facets.register (Katello::Host::ContentFacet, :content_facet) do
api_view :list => 'katello/api/v2/content_facet/base_with_root', :single => 'katello/api/v2/co
ntent_facet/show'
end

Related issues:
Related to Foreman - Feature #12630: Facets - Add facet declaration Closed 11/30/2015

Associated revisions

Revision 7d90b5cb - 03/02/2016 04:45 AM - Eric Helms
Fixes #13417: Provide facet registration through plugin API

Revision 68f9b972 - 03/10/2016 10:56 AM - Eric Helms
Fixes #13417: Provide facet registration through plugin API

(cherry picked from commit 7d90b5cb23decf7d9f6f09f8114ea8a9b1f697a0)

History

#1 - 01/28/2016 03:08 AM - Dominic Cleal
- Related to Feature #12630: Facets - Add facet declaration added

#2 - 01/28/2016 03:09 AM - Dominic Cleal

- Category set to Plugin integration

#3 - 01/28/2016 12:23 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/foreman/pull/3134 added

#4 - 03/02/2016 05:01 AM - Eric Helms
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 7d90b5cb23decf7d9f6{09f8114ea8a9b1f697a0.

#5 - 03/02/2016 06:04 AM - Dominic Cleal

- translation missing: en.field_release set to 71
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7d90b5cb23decf7d9f6f09f8114ea8a9b1f697a0

#6 - 04/11/2016 11:54 AM - Bryan Kearney
- Bugzilla link set to 1326034

#7 - 08/11/2016 06:20 AM - Lukas Zapletal

Stumbled upon this when | was reading Facet documentation.

http://projects.theforeman.org/projects/foreman/wiki/How to_Create_a_Plugin#Facets

Shall we remove the "This is being re-worked into a proper plugin API via #13417, it's highly recommended to use that when available and not use
internal APIs." note?
